A HTTP client that can send requests for the StApps API

### Hierarchy

- HttpClientInterface

## Index

### Methods

- request

## Methods

### request

- request<T>(request: HttpClientRequest): Promise<HttpClientResponse<T>>

- - Defined in src/httpClientInterface.ts:26

  Send request

  #### Type parameters

  - #### T: SCResponses

  #### Parameters

  - ##### request: HttpClientRequest

    Request to send

  #### Returns Promise<HttpClientResponse<T>>

Generated using TypeDoc